GCLOUD_COMPUTE_INSTANCES_START(1)

NAME

gcloud compute instances start - start a stopped virtual machine instance

SYNOPSIS

gcloud compute instances start NAME [NAME ...] [--csek-key-file FILE] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Start a stopped virtual machine instance. gcloud compute instances start is used to start a stopped Google Compute Engine virtual machine. Only a stopped virtual machine can be started.

POSITIONAL ARGUMENTS
NAME [NAME ...]
    The names of the instances to start.

FLAGS
--csek-key-file FILE
    Path to a Customer-Supplied Encryption Key (CSEK) key file, mapping Google Compute Engine resources to user managed keys to be used when creating, mounting, or snapshotting disks. See https://cloud.google.com/compute/docs/disks/customer-supplied-encryption for more details.
--zone ZONE
    The zone of the instance to start. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.